@Echo off
SETLOCAL
echo YTMusicUploader configuration utility. You will be asked to input some options.
if exist cfg\email.txt echo You can also just edit the relevant textfiles in the cfg folder.
echo.
set /p email=Enter Your Email To Log In: 
echo.
set /p password=Enter Your Password: 
echo.
set /p description=Enter Your Video Description (to add newlines, use \n): 
echo.
echo Conversion Precision is actually the video framerate that will be used. This is due to ffmpeg not responding correctly to the -shortest flag, leaving extra silence at the end of the video. The higher the framerate, the less silence added.
echo.
echo Correct values are: 2-30, where 2 is least precise but fastest to convert and 30 is most precise but slowest to encode. A good value to try is 5.
:prec
echo.
set /p precision=Enter Your Conversion Precision: 
if /I %precision% lss 2 goto precerror
if /I %precision% gtr 30 goto precerror
echo.
choice /C YN /M "Wait for processing? (Recommended - Youtube could break if uploading too fast.)"
IF %ERRORLEVEL%==1 set waitprocessing=1
IF %ERRORLEVEL%==2 set waitprocessing=0
echo.

choice /C YN /M "Set additional options for youtube-upload? (Privacy options, disabling comments and ratings)"

IF %ERRORLEVEL%==1 (
goto moar
)
IF %ERRORLEVEL%==2 (
set private=0
set unlisted=0
set nocomments=0
set noratings=0
)

:backmoar

choice /C YN /M "Use FFMPEG drawtext filter?"
IF %ERRORLEVEL%==1 set drawtext=1
IF %ERRORLEVEL%==2 set drawtext=0

echo %email% > cfg\email.txt
echo %password% > cfg\password.txt
echo %description% > cfg\desc.txt
echo %private%%unlisted%%nocomments%%noratings%%waitprocessing%%drawtext% > cfg\flags.txt
echo %precision% > cfg\precision.txt
ENDLOCAL
goto :eof

:precerror
echo.
echo Input not within 2-30 range! Try again.
goto prec

:moar

choice /C YN /M "Set playlist and videos as Private?"
IF %ERRORLEVEL%==1 (
set private=1
set unlisted=0
)

IF %ERRORLEVEL%==2 (
set private=0

echo.
choice /C YN /M "Set videos as Unlisted?"
IF %ERRORLEVEL%==1 set unlisted=1
IF %ERRORLEVEL%==2 set unlisted=0
)

echo.

choice /C YN /M "Disable comments?"
IF %ERRORLEVEL%==1 set nocomments=1
IF %ERRORLEVEL%==2 set nocomments=0
echo.

choice /C YN /M "Disable ratings?"
IF %ERRORLEVEL%==1 set noratings=1
IF %ERRORLEVEL%==2 set noratings=0
echo.

goto backmoar