@Echo off
SETLOCAL

if not exist cfg\email.txt (
echo Configuration not found! Please run config.bat!
echo.
pause
exit /b
)

set /p email=<cfg\email.txt
set /p password=<cfg\password.txt
set /p description=<cfg\desc.txt
set category=Music
set /p flags=<cfg\flags.txt
set /p precision=<cfg\precision.txt
set sysdir=%SystemRoot:\=\\%
set sysdir=%sysdir::=\:%
set private=%flags:~0,1%
set unlisted=%flags:~1,1%
set nocomments=%flags:~2,1%
set noratings=%flags:~3,1%
set waitprocessing=%flags:~4,1%
set drawtext=%flags:~5,1%

if %private% EQU 1 set "options=--private "
if %unlisted% EQU 1 set "options=--unlisted "
if %nocomments% EQU 1 set "options=%options%--nocomments "
if %noratings% EQU 1 set "options=%options%--noratings "
if %waitprocessing% EQU 1 set "options=%options%--wait-processing"
if %drawtext% EQU 1 set "drawfilter=-vf drawtext=fontfile='%sysdir%\\Fonts\\impact.ttf':fontcolor=White:fontsize=80:x=240:y=480:text="%%~nA""

FOR %%A IN (*.aac;*.ac3;*.aiff;*.amr;*.ape;*.flac;*.m4a;*.mp3;*.mpc;*.oga;*.ogg;*.speex;*.wav) DO bin\ffmpeg.exe -loop 1 -r %precision% -i bin\input.png -i "%%A" -c:v libx264 -preset ultrafast -tune stillimage -crf 25 -shortest -pix_fmt yuv420p %drawfilter% -acodec libvorbis -ab 192k -async 1 "%%~nA.mkv"

bin\youtube_upload.exe --email="%EMAIL%" --password="%PASSWORD%" %OPTIONS% --create-playlist="%DATE%|%DATE%|%private%" "bin\blank.avi" | bin\grep gdata > playlist.txt

set /p zmienna=<playlist.txt

FOR %%A IN (*.mkv) DO bin\youtube_upload.exe --email="%EMAIL%" --password="%PASSWORD%" %OPTIONS% --title="%%~nA" --description="%DESCRIPTION%" --category=%CATEGORY% --keywords="%CATEGORY%" "%%~nA.mkv" | bin\grep http >> urls.txt

del *.mkv

FOR /f %%B IN ('type urls.txt') DO bin\youtube_upload.exe --email="%EMAIL%" --password="%PASSWORD%" --add-to-playlist=http://%zmienna:~8,255% %%B

del playlist.txt
del urls.txt

set email=
set password=
set description=
set category=
set options=
set precision=
set private=

ENDLOCAL